TAIL(1)

NOM
tail - Afficher la dernière partie de fichiers

SYNOPSIS
tail [OPTION] ... [FICHIER] ...

DESCRIPTION

Afficher les 10 dernières lignes de chaque FICHIER sur la sortie standard. Lorsqu'il y a plus d'un FICHIER, faire précéder chaque groupe de lignes d'un en-tête donnant le nom du fichier.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-c, --bytes=[+]N
    Afficher les N derniers octets ; vous pouvez aussi utiliser -c +N pour afficher les octets de chaque fichier à partir du Nième octet

-f, --follow[={name|descriptor}]
    Afficher les données ajoutées lorsque le fichier grossit ;

    l’absence d’argument d'option équivaut à utiliser « descriptor »

-F  Identique à --follow=name --retry

-n, --lines=[+]N
    Afficher les N dernières lignes, au lieu des 10 dernières ; vous pouvez aussi utiliser -n +N pour afficher à partir de la Nième.

--max-unchanged-stats=N
    Avec l'option --follow=name, rouvrir le FICHIER dont la taille

    n'a pas changé après N itérations (par défaut 5), afin de vérifier s'il a été détruit ou renommé (c'est habituellement le cas des fichiers journaux dont on effectue la rotation). Avec inotify, cette option est rarement utile.

--pid=PID
    Avec -f, terminer après l'arrêt du processus PID

-q, --quiet, --silent
    Ne jamais afficher les en-têtes donnant les noms de fichiers

--retry
    continuer d'essayer à ouvrir un fichier s’il est inaccessible

-s, --sleep-interval=N
    Avec -f, attendre environ N secondes (1,0 par défaut) entre les itérations ; avec inotify et --pid=P, vérifier le processus P au moins toutes les N secondes

-v, --verbose
    Toujours afficher les en-têtes donnant les noms de fichier

-z, --zero-terminated
    le délimiteur de lignes est l’octet NULL, pas le changement de ligne

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

N peut être suivi d'un suffixe multiplicatif : b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024 et ainsi de suite pour T, P, E, Z, Y. Des préfixes binaires peuvent aussi être utilisés : KiB=K, MiB=M et ainsi de suite.

Avec l'option --follow (-f), tail suit par défaut le descripteur de fichier, ce qui lui permet de suivre la fin du fichier cible même s'il change de nom. Ce comportement par défaut n'est pas souhaitable lorsqu'on désire vraiment suivre le nom du fichier, et non pas par son descripteur de fichier (par exemple, lors de la rotation des journaux). Utiliser --follow=name dans ce cas. tail suivra alors l'évolution du fichier d'une façon compatible avec les changements de nom, suppressions ou créations.

AUTEUR
Écrit par Paul Rubin, David MacKenzie, Ian Lance Taylor et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
head(1)

Documentation complète : <https://www.gnu.org/software/coreutils/tail>
aussi disponible localement à l’aide de la commande : info '(coreutils) tail invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.